%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	X terminal emulator for Xfce desktop environment
Name:		xfce4-terminal
Version:	1.1.3
Release:	%mkrel 1
Group:		Graphical desktop/XFCE
License:	GPLv2+
URL:		https://docs.xfce.org/apps/terminal/
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	xfce4-terminal-root.desktop
Patch501:	0001-Improve-debugging-messages.patch
Patch502:	0001-Improve-debugging-messages-vol-2.patch
Patch503:	0001-Duplicate-string-gvalues.patch
BuildRequires: git
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64pcre2-devel
BuildRequires: lib64utempter-devel
BuildRequires: lib64vte3-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64xfconf-devel

Obsoletes:  xfce4-terminal-doc

Requires:	lib64utempter0

%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%prep
%setup -q
%autopatch -p1

%build

%configure2_5x --with-utempter --disable-static

%make_build

%install
rm -rf %buildroot
%make_install

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications

desktop-file-install --vendor=""\
    --add-category="GTK" \
    --add-category="X-MandrivaLinux-System-Terminals" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%{_bindir}
%{_datadir}

%pre
if [ $1 -gt 1 ] ; then
    if [ -d %{_docdir}/Terminal ]; then
	rm -rf %{_docdir}/Terminal
    fi
fi

%changelog
* Sat Mar 02 2024 tex - 1.1.3-1pclos2024
- new version

* Tue Feb 06 2024 tex - 1.1.2-1pclos2024
- new version

* Tue Nov 21 2023 tex - 1.1.1-1pclos2023
- new version

* Tue Aug 22 2023 tex - 1.1.0-1pclos2023
- new version

* Sun May 22 2022 tex - 1.0.4-1pclos2022
- new version

* Sun Apr 24 2022 tex - 1.0.2-1pclos2022
- new version

* Sun Apr 17 2022 tex - 1.0.1-1pclos2022
- new version

* Mon Mar 07 2022 tex - 0.9.2-1pclos2022
- new version

* Wed Dec 23 2020 tex - 0.8.10-1pclos2020
- new version 0.8.10
